"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const store_1 = require("./store");
const placeholders_1 = require("./middle/placeholders");
const create_1 = require("./middle/create");
const create_2 = require("./parents/create");
const create_3 = require("./children/create");
const correctPositions_js_1 = require("./utils/correctPositions.js");
const getCanvasSize_js_1 = require("./utils/getCanvasSize.js");
exports.default = (nodes, rootId) => {
    const store = new store_1.default(nodes, rootId);
    placeholders_1.default(store);
    create_1.default(store);
    create_2.default(store);
    create_3.default(store);
    correctPositions_js_1.default(store);
    return {
        canvas: getCanvasSize_js_1.default(store),
        families: [...store.families.values()],
    };
};
